To add a comment to a sheet, first create a comment and set some settings for it. Then you can use the add method to set a comment for the specified cell. For example:
Sometimes you want to remove the comment you added, as shown in the following example:
After you add a comment to a cell, you can use the get method to get the comment, or use the all method to get all the comments in the sheet.
window.onload = function () {
var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"));
initSpread(spread);
};
function initSpread(spread) {
var sheet = spread.getSheet(0);
sheet.addSpan(1, 1, 1, 6);
sheet.setValue(1, 1, "there is a comment on the upper right corner of the cell");
sheet.comments.add(1, 1, "new comment!");
document.getElementById("btnAddComment").addEventListener('click',function () {
var row = parseInt(document.getElementById("txtRowIndex").value);
var col = parseInt(document.getElementById("txtColumnIndex").value);
var spreadNS = GC.Spread.Sheets;
var sheet = spread.getSheet(0);
sheet.setValue(row, col, 'new comment');
var text = document.getElementById("txtComment").value;
sheet.comments.add(row, col, text);
})
};
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div id="ss" class="sample-spreadsheets" ></div>
<div class="options-container">
<div class="option-row">
<label for="txtRowIndex">Row index:</label>
<input id ="txtRowIndex" type ="text" value="5"/>
</div>
<div class="option-row">
<label for="txtColumnIndex">Column index:</label>
<input id ="txtColumnIndex" type ="text" value="2"/>
</div>
<div class="option-row">
<label for="txtComment">Comment text:</label>
<input id ="txtComment" type ="text" value="comment demo"/>
</div>
<div class="option-row">
<input type="button" id="btnAddComment" value="AddComment" />
</div>
</div>
</div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height:100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
overflow: auto;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
}
label {
display: inline-block;
min-width: 90px;
margin: 6px 0;
}
input {
padding: 4px 6px;
box-sizing: border-box;
margin-bottom: 6px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}

To add a comment to a sheet, first create a comment and set some settings for it. Then you can use the add method to set a comment for the specified cell. For example:
Sometimes you want to remove the comment you added, as shown in the following example:
After you add a comment to a cell, you can use the get method to get the comment, or use the all method to get all the comments in the sheet.
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet />
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<label for="txtRowIndex">Row index:</label>
<input id="txtRowIndex" type="text" v-model="rowIndex" />
</div>
<div class="option-row">
<label for="txtColumnIndex">Column index:</label>
<input id="txtColumnIndex" type="text" v-model="colIndex" />
</div>
<div class="option-row">
<label for="txtComment">Comment text:</label>
<input id="txtComment" type="text" v-model="commentText" />
</div>
<div class="option-row">
<input type="button" id="btnAddComment" value="AddComment" @click="addComment" />
</div>
</div>
</div>
</template>
<script setup>
import '@mescius/spread-sheets-vue';
import GC from '@mescius/spread-sheets';
import { ref } from "vue";
const spreadRef = ref(null);
const rowIndex = ref(5);
const colIndex = ref(2);
const commentText = ref("comment demo");
function initSpread(spread) {
spreadRef.value = spread;
spread.suspendPaint();
let sheet = spread.getSheet(0);
sheet.addSpan(1, 1, 1, 6);
sheet.setValue(1, 1, "there is a comment on the upper right corner of the cell");
sheet.comments.add(1, 1, "new comment!");
spread.resumePaint();
}
function addComment() {
let row = parseInt(rowIndex.value);
let col = parseInt(colIndex.value);
let sheet = spreadRef.value.getSheet(0);
sheet.setValue(row, col, 'new comment');
let text = commentText.value;
sheet.comments.add(row, col, text);
}
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
overflow: auto;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
}
label {
display: inline-block;
min-width: 90px;
margin: 6px 0;
}
input {
padding: 4px 6px;
box-sizing: border-box;
margin-bottom: 6px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script src="compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js',
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

To add a comment to a sheet, first create a comment and set some settings for it. Then you can use the add method to set a comment for the specified cell. For example:
Sometimes you want to remove the comment you added, as shown in the following example:
After you add a comment to a cell, you can use the get method to get the comment, or use the all method to get all the comments in the sheet.
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './styles.css';
import { AppFunc } from './app-func';
import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import './styles.css';
function _getElementById(id) {
return document.getElementById(id);
}
const Component = React.Component;
export function AppFunc() {
let spread = null;
let initSpread = function(value) {
spread = value;
spread.suspendPaint();
let sheet = spread.getSheet(0);
sheet.addSpan(1, 1, 1, 6);
sheet.setValue(1, 1, "there is a comment on the upper right corner of the cell");
sheet.comments.add(1, 1, "new comment!");
spread.resumePaint();
}
let addComment = function(commentSetting) {
let row = commentSetting.rowIndex;
let col = commentSetting.colIndex;
let sheet = spread.getSheet(0);
sheet.setValue(row, col, 'new comment');
let text = commentSetting.commentText;
sheet.comments.add(row, col, text);
}
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread=>initSpread(spread)}>
<Worksheet/>
</SpreadSheets>
</div>
<Panel addComment={(e)=>{addComment(e)}}/>
</div>);
}
class Panel extends Component{
constructor(props){
super(props);
this.state = {
rowIndex: 5,
colIndex: 2,
commentText: "comment demo"
}
}
render() {
return (
<div class="options-container">
<div class="option-row">
<label for="txtRowIndex">Row index:</label>
<input id="txtRowIndex" type="text" value= {this.state.rowIndex} onChange={(e)=>{this.setState({rowIndex: parseInt(e.target.value)})}}/>
</div>
<div class="option-row">
<label for="txtColumnIndex">Column index:</label>
<input id="txtColumnIndex" type="text" value= {this.state.colIndex} onChange={(e)=>{this.setState({colIndex: parseInt(e.target.value)})}}/>
</div>
<div class="option-row">
<label for="txtComment">Comment text:</label>
<input id="txtComment" type="text" value= {this.state.commentText} onChange={(e)=>{this.setState({commentText: e.target.value})}} />
</div>
<div class="option-row">
<input type="button" id="btnAddComment" value="AddComment" onClick={(e)=>{this.props.addComment(this.state)}}/>
</div>
</div>
)
}
}
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import './styles.css';
function _getElementById(id) {
return document.getElementById(id);
}
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
}
render() {
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread=>this.initSpread(spread)}>
<Worksheet/>
</SpreadSheets>
</div>
<Panel addComment={(e)=>{this.addComment(e)}}/>
</div>);
}
initSpread(spread) {
this.spread = spread;
spread.suspendPaint();
let sheet = spread.getSheet(0);
sheet.addSpan(1, 1, 1, 6);
sheet.setValue(1, 1, "there is a comment on the upper right corner of the cell");
sheet.comments.add(1, 1, "new comment!");
spread.resumePaint();
}
addComment(commentSetting) {
let row = commentSetting.rowIndex;
let col = commentSetting.colIndex;
let sheet = this.spread.getSheet(0);
sheet.setValue(row, col, 'new comment');
let text = commentSetting.commentText;
sheet.comments.add(row, col, text);
}
}
class Panel extends Component{
constructor(props){
super(props);
this.state = {
rowIndex: 5,
colIndex: 2,
commentText: "comment demo"
}
}
render() {
return (
<div class="options-container">
<div class="option-row">
<label for="txtRowIndex">Row index:</label>
<input id="txtRowIndex" type="text" value= {this.state.rowIndex} onChange={(e)=>{this.setState({rowIndex: parseInt(e.target.value)})}}/>
</div>
<div class="option-row">
<label for="txtColumnIndex">Column index:</label>
<input id="txtColumnIndex" type="text" value= {this.state.colIndex} onChange={(e)=>{this.setState({colIndex: parseInt(e.target.value)})}}/>
</div>
<div class="option-row">
<label for="txtComment">Comment text:</label>
<input id="txtComment" type="text" value= {this.state.commentText} onChange={(e)=>{this.setState({commentText: e.target.value})}} />
</div>
<div class="option-row">
<input type="button" id="btnAddComment" value="AddComment" onClick={(e)=>{this.props.addComment(this.state)}}/>
</div>
</div>
)
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height:100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
overflow: auto;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
}
label {
display: inline-block;
min-width: 90px;
margin: 6px 0;
}
input {
padding: 4px 6px;
box-sizing: border-box;
margin-bottom: 6px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

To add a comment to a sheet, first create a comment and set some settings for it. Then you can use the add method to set a comment for the specified cell. For example:
Sometimes you want to remove the comment you added, as shown in the following example:
After you add a comment to a cell, you can use the get method to get the comment, or use the all method to get all the comments in the sheet.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
rowIndex: number = 5;
colIndex: number = 2;
commentText: string = "comment demo";
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
spread.suspendPaint();
let sheet = spread.getSheet(0);
sheet.addSpan(1, 1, 1, 6);
sheet.setValue(1, 1, "there is a comment on the upper right corner of the cell");
sheet.comments.add(1, 1, "new comment!");
spread.resumePaint();
}
addComment() {
let row = parseInt(<any>this.rowIndex);
let col = parseInt(<any>this.colIndex);
let sheet = this.spread.getSheet(0);
sheet.setValue(row, col, 'new comment');
let text = this.commentText;
sheet.comments.add(row, col, text);
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule, FormsModule ],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule {}
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<label for="txtRowIndex">Row index:</label>
<input id ="txtRowIndex" type ="text" [(ngModel)]="rowIndex" />
</div>
<div class="option-row">
<label for="txtColumnIndex">Column index:</label>
<input id ="txtColumnIndex" type ="text" [(ngModel)]="colIndex" />
</div>
<div class="option-row">
<label for="txtComment">Comment text:</label>
<input id ="txtComment" type ="text" [(ngModel)]="commentText" />
</div>
<div class="option-row">
<input type="button" id="btnAddComment" value="AddComment" (click) = "addComment()" />
</div>
</div>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height:100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
overflow: auto;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
}
label {
display: inline-block;
min-width: 90px;
margin: 6px 0;
}
input {
padding: 4px 6px;
box-sizing: border-box;
margin-bottom: 6px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);